require File.join([File.dirname(__FILE__),'lib','umbreo','version.rb'])

Gem::Specification.new do |s|
  s.name = 'umbreo_cli'
  s.version = Umbreo::VERSION
  s.authors = ['Zakaria Boualaid', 'Muhamad Luay']
  s.email = 'z.boualaid@umbreo.com'
  s.homepage = 'https://www.umbreo.com'
  s.platform = Gem::Platform::RUBY
  s.homepage = 'http://rubygems.org/gems/umbreo_cli'
  s.summary = 'Umbreo Command Line Interface'
  s.license = 'MIT'
  s.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) || f.match(/(^umbreo_cli-)+([0-9])+(.)+([0-9])+(.)+([0-9])+(.gem)$/) }
  
  s.require_paths << 'lib'

  s.has_rdoc = true
  s.rdoc_options << '--title' << 'umbreo' << '--main' << 'README.rdoc'
  s.bindir = 'bin'
  s.executables << 'umbreo'
  s.add_dependency 'rake', '~> 11.1', '>= 11.1.2'
  s.add_dependency 'gli', '2.13.4'
  s.add_dependency 'aruba', '~> 0.14.1'
  s.add_dependency 'contracts', '~> 0.14.0'
  s.add_dependency 'activesupport', '5.0.0'
  s.add_dependency 'parseconfig', '1.0.8'
  s.add_dependency 'highline', '1.7.8'
  s.add_dependency 'progress_bar', '1.1.0'
  s.add_dependency 'puppet-parse', '0.1.4'
  s.add_dependency 'rainbow', '2.2.1'
  s.add_dependency 'terminal-table', '1.7.3'
  s.add_dependency 'typhoeus', '1.1.2'
  s.add_dependency 'json'

  s.add_development_dependency 'byebug', '9.0.6'
  s.add_development_dependency 'gherkin', '~> 4.0', '>= 4.0.0'
  s.add_development_dependency 'minitest'
  s.add_development_dependency 'vcr'
  s.add_development_dependency 'webmock'
  s.add_development_dependency 'cucumber'

end